Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network182.0.0.0/7
Usable hosts33,554,430
Subnet mask254.0.0.0
Addresses33,554,432
Network address
182.0.0.0
Broadcast address
183.255.255.255
First usable
182.0.0.1
Last usable
183.255.255.254
Usable hosts
33,554,430 (33,554,432 less the network and broadcast addresses)
Subnet mask
254.0.0.0
Wildcard mask
1.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/7
Type
Public public
Old class
B (default /16)
As numbers
Hex B6000000 · Integer 3053453312 to 3087007743
Reverse DNS zones
182.in-addr.arpa
183.in-addr.arpa
/7 is not on a 8-bit boundary, so it takes 2 /8 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10110110.00000000.00000000.00000000182.0.0.0
Subnet mask11111110.00000000.00000000.00000000254.0.0.0
Network10110110.00000000.00000000.00000000182.0.0.0
Broadcast10110111.11111111.11111111.11111111183.255.255.255
Split into smaller subnets/19

182.0.0.0/7 makes 4,096 subnets of /19; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1182.0.0.0/19182.0.0.1 to 182.0.31.254182.0.31.2558,190
2182.0.32.0/19182.0.32.1 to 182.0.63.254182.0.63.2558,190
3182.0.64.0/19182.0.64.1 to 182.0.95.254182.0.95.2558,190
4182.0.96.0/19182.0.96.1 to 182.0.127.254182.0.127.2558,190
5182.0.128.0/19182.0.128.1 to 182.0.159.254182.0.159.2558,190
6182.0.160.0/19182.0.160.1 to 182.0.191.254182.0.191.2558,190
7182.0.192.0/19182.0.192.1 to 182.0.223.254182.0.223.2558,190
8182.0.224.0/19182.0.224.1 to 182.0.255.254182.0.255.2558,190
9182.1.0.0/19182.1.0.1 to 182.1.31.254182.1.31.2558,190
10182.1.32.0/19182.1.32.1 to 182.1.63.254182.1.63.2558,190
11182.1.64.0/19182.1.64.1 to 182.1.95.254182.1.95.2558,190
12182.1.96.0/19182.1.96.1 to 182.1.127.254182.1.127.2558,190
13182.1.128.0/19182.1.128.1 to 182.1.159.254182.1.159.2558,190
14182.1.160.0/19182.1.160.1 to 182.1.191.254182.1.191.2558,190
15182.1.192.0/19182.1.192.1 to 182.1.223.254182.1.223.2558,190
16182.1.224.0/19182.1.224.1 to 182.1.255.254182.1.255.2558,190
17182.2.0.0/19182.2.0.1 to 182.2.31.254182.2.31.2558,190
18182.2.32.0/19182.2.32.1 to 182.2.63.254182.2.63.2558,190
19182.2.64.0/19182.2.64.1 to 182.2.95.254182.2.95.2558,190
20182.2.96.0/19182.2.96.1 to 182.2.127.254182.2.127.2558,190
21182.2.128.0/19182.2.128.1 to 182.2.159.254182.2.159.2558,190
22182.2.160.0/19182.2.160.1 to 182.2.191.254182.2.191.2558,190
23182.2.192.0/19182.2.192.1 to 182.2.223.254182.2.223.2558,190
24182.2.224.0/19182.2.224.1 to 182.2.255.254182.2.255.2558,190
25182.3.0.0/19182.3.0.1 to 182.3.31.254182.3.31.2558,190
26182.3.32.0/19182.3.32.1 to 182.3.63.254182.3.63.2558,190
27182.3.64.0/19182.3.64.1 to 182.3.95.254182.3.95.2558,190
28182.3.96.0/19182.3.96.1 to 182.3.127.254182.3.127.2558,190
29182.3.128.0/19182.3.128.1 to 182.3.159.254182.3.159.2558,190
30182.3.160.0/19182.3.160.1 to 182.3.191.254182.3.191.2558,190
31182.3.192.0/19182.3.192.1 to 182.3.223.254182.3.223.2558,190
32182.3.224.0/19182.3.224.1 to 182.3.255.254182.3.255.2558,190
33182.4.0.0/19182.4.0.1 to 182.4.31.254182.4.31.2558,190
34182.4.32.0/19182.4.32.1 to 182.4.63.254182.4.63.2558,190
35182.4.64.0/19182.4.64.1 to 182.4.95.254182.4.95.2558,190
36182.4.96.0/19182.4.96.1 to 182.4.127.254182.4.127.2558,190
37182.4.128.0/19182.4.128.1 to 182.4.159.254182.4.159.2558,190
38182.4.160.0/19182.4.160.1 to 182.4.191.254182.4.191.2558,190
39182.4.192.0/19182.4.192.1 to 182.4.223.254182.4.223.2558,190
40182.4.224.0/19182.4.224.1 to 182.4.255.254182.4.255.2558,190
41182.5.0.0/19182.5.0.1 to 182.5.31.254182.5.31.2558,190
42182.5.32.0/19182.5.32.1 to 182.5.63.254182.5.63.2558,190
43182.5.64.0/19182.5.64.1 to 182.5.95.254182.5.95.2558,190
44182.5.96.0/19182.5.96.1 to 182.5.127.254182.5.127.2558,190
45182.5.128.0/19182.5.128.1 to 182.5.159.254182.5.159.2558,190
46182.5.160.0/19182.5.160.1 to 182.5.191.254182.5.191.2558,190
47182.5.192.0/19182.5.192.1 to 182.5.223.254182.5.223.2558,190
48182.5.224.0/19182.5.224.1 to 182.5.255.254182.5.255.2558,190
49182.6.0.0/19182.6.0.1 to 182.6.31.254182.6.31.2558,190
50182.6.32.0/19182.6.32.1 to 182.6.63.254182.6.63.2558,190
51182.6.64.0/19182.6.64.1 to 182.6.95.254182.6.95.2558,190
52182.6.96.0/19182.6.96.1 to 182.6.127.254182.6.127.2558,190
53182.6.128.0/19182.6.128.1 to 182.6.159.254182.6.159.2558,190
54182.6.160.0/19182.6.160.1 to 182.6.191.254182.6.191.2558,190
55182.6.192.0/19182.6.192.1 to 182.6.223.254182.6.223.2558,190
56182.6.224.0/19182.6.224.1 to 182.6.255.254182.6.255.2558,190
57182.7.0.0/19182.7.0.1 to 182.7.31.254182.7.31.2558,190
58182.7.32.0/19182.7.32.1 to 182.7.63.254182.7.63.2558,190
59182.7.64.0/19182.7.64.1 to 182.7.95.254182.7.95.2558,190
60182.7.96.0/19182.7.96.1 to 182.7.127.254182.7.127.2558,190
61182.7.128.0/19182.7.128.1 to 182.7.159.254182.7.159.2558,190
62182.7.160.0/19182.7.160.1 to 182.7.191.254182.7.191.2558,190
63182.7.192.0/19182.7.192.1 to 182.7.223.254182.7.223.2558,190
64182.7.224.0/19182.7.224.1 to 182.7.255.254182.7.255.2558,190
65182.8.0.0/19182.8.0.1 to 182.8.31.254182.8.31.2558,190
66182.8.32.0/19182.8.32.1 to 182.8.63.254182.8.63.2558,190
67182.8.64.0/19182.8.64.1 to 182.8.95.254182.8.95.2558,190
68182.8.96.0/19182.8.96.1 to 182.8.127.254182.8.127.2558,190
69182.8.128.0/19182.8.128.1 to 182.8.159.254182.8.159.2558,190
70182.8.160.0/19182.8.160.1 to 182.8.191.254182.8.191.2558,190
71182.8.192.0/19182.8.192.1 to 182.8.223.254182.8.223.2558,190
72182.8.224.0/19182.8.224.1 to 182.8.255.254182.8.255.2558,190
73182.9.0.0/19182.9.0.1 to 182.9.31.254182.9.31.2558,190
74182.9.32.0/19182.9.32.1 to 182.9.63.254182.9.63.2558,190
75182.9.64.0/19182.9.64.1 to 182.9.95.254182.9.95.2558,190
76182.9.96.0/19182.9.96.1 to 182.9.127.254182.9.127.2558,190
77182.9.128.0/19182.9.128.1 to 182.9.159.254182.9.159.2558,190
78182.9.160.0/19182.9.160.1 to 182.9.191.254182.9.191.2558,190
79182.9.192.0/19182.9.192.1 to 182.9.223.254182.9.223.2558,190
80182.9.224.0/19182.9.224.1 to 182.9.255.254182.9.255.2558,190
81182.10.0.0/19182.10.0.1 to 182.10.31.254182.10.31.2558,190
82182.10.32.0/19182.10.32.1 to 182.10.63.254182.10.63.2558,190
83182.10.64.0/19182.10.64.1 to 182.10.95.254182.10.95.2558,190
84182.10.96.0/19182.10.96.1 to 182.10.127.254182.10.127.2558,190
85182.10.128.0/19182.10.128.1 to 182.10.159.254182.10.159.2558,190
86182.10.160.0/19182.10.160.1 to 182.10.191.254182.10.191.2558,190
87182.10.192.0/19182.10.192.1 to 182.10.223.254182.10.223.2558,190
88182.10.224.0/19182.10.224.1 to 182.10.255.254182.10.255.2558,190
89182.11.0.0/19182.11.0.1 to 182.11.31.254182.11.31.2558,190
90182.11.32.0/19182.11.32.1 to 182.11.63.254182.11.63.2558,190
91182.11.64.0/19182.11.64.1 to 182.11.95.254182.11.95.2558,190
92182.11.96.0/19182.11.96.1 to 182.11.127.254182.11.127.2558,190
93182.11.128.0/19182.11.128.1 to 182.11.159.254182.11.159.2558,190
94182.11.160.0/19182.11.160.1 to 182.11.191.254182.11.191.2558,190
95182.11.192.0/19182.11.192.1 to 182.11.223.254182.11.223.2558,190
96182.11.224.0/19182.11.224.1 to 182.11.255.254182.11.255.2558,190
97182.12.0.0/19182.12.0.1 to 182.12.31.254182.12.31.2558,190
98182.12.32.0/19182.12.32.1 to 182.12.63.254182.12.63.2558,190
99182.12.64.0/19182.12.64.1 to 182.12.95.254182.12.95.2558,190
100182.12.96.0/19182.12.96.1 to 182.12.127.254182.12.127.2558,190
101182.12.128.0/19182.12.128.1 to 182.12.159.254182.12.159.2558,190
102182.12.160.0/19182.12.160.1 to 182.12.191.254182.12.191.2558,190
103182.12.192.0/19182.12.192.1 to 182.12.223.254182.12.223.2558,190
104182.12.224.0/19182.12.224.1 to 182.12.255.254182.12.255.2558,190
105182.13.0.0/19182.13.0.1 to 182.13.31.254182.13.31.2558,190
106182.13.32.0/19182.13.32.1 to 182.13.63.254182.13.63.2558,190
107182.13.64.0/19182.13.64.1 to 182.13.95.254182.13.95.2558,190
108182.13.96.0/19182.13.96.1 to 182.13.127.254182.13.127.2558,190
109182.13.128.0/19182.13.128.1 to 182.13.159.254182.13.159.2558,190
110182.13.160.0/19182.13.160.1 to 182.13.191.254182.13.191.2558,190
111182.13.192.0/19182.13.192.1 to 182.13.223.254182.13.223.2558,190
112182.13.224.0/19182.13.224.1 to 182.13.255.254182.13.255.2558,190
113182.14.0.0/19182.14.0.1 to 182.14.31.254182.14.31.2558,190
114182.14.32.0/19182.14.32.1 to 182.14.63.254182.14.63.2558,190
115182.14.64.0/19182.14.64.1 to 182.14.95.254182.14.95.2558,190
116182.14.96.0/19182.14.96.1 to 182.14.127.254182.14.127.2558,190
117182.14.128.0/19182.14.128.1 to 182.14.159.254182.14.159.2558,190
118182.14.160.0/19182.14.160.1 to 182.14.191.254182.14.191.2558,190
119182.14.192.0/19182.14.192.1 to 182.14.223.254182.14.223.2558,190
120182.14.224.0/19182.14.224.1 to 182.14.255.254182.14.255.2558,190
121182.15.0.0/19182.15.0.1 to 182.15.31.254182.15.31.2558,190
122182.15.32.0/19182.15.32.1 to 182.15.63.254182.15.63.2558,190
123182.15.64.0/19182.15.64.1 to 182.15.95.254182.15.95.2558,190
124182.15.96.0/19182.15.96.1 to 182.15.127.254182.15.127.2558,190
125182.15.128.0/19182.15.128.1 to 182.15.159.254182.15.159.2558,190
126182.15.160.0/19182.15.160.1 to 182.15.191.254182.15.191.2558,190
127182.15.192.0/19182.15.192.1 to 182.15.223.254182.15.223.2558,190
128182.15.224.0/19182.15.224.1 to 182.15.255.254182.15.255.2558,190
129182.16.0.0/19182.16.0.1 to 182.16.31.254182.16.31.2558,190
130182.16.32.0/19182.16.32.1 to 182.16.63.254182.16.63.2558,190
131182.16.64.0/19182.16.64.1 to 182.16.95.254182.16.95.2558,190
132182.16.96.0/19182.16.96.1 to 182.16.127.254182.16.127.2558,190
133182.16.128.0/19182.16.128.1 to 182.16.159.254182.16.159.2558,190
134182.16.160.0/19182.16.160.1 to 182.16.191.254182.16.191.2558,190
135182.16.192.0/19182.16.192.1 to 182.16.223.254182.16.223.2558,190
136182.16.224.0/19182.16.224.1 to 182.16.255.254182.16.255.2558,190
137182.17.0.0/19182.17.0.1 to 182.17.31.254182.17.31.2558,190
138182.17.32.0/19182.17.32.1 to 182.17.63.254182.17.63.2558,190
139182.17.64.0/19182.17.64.1 to 182.17.95.254182.17.95.2558,190
140182.17.96.0/19182.17.96.1 to 182.17.127.254182.17.127.2558,190
141182.17.128.0/19182.17.128.1 to 182.17.159.254182.17.159.2558,190
142182.17.160.0/19182.17.160.1 to 182.17.191.254182.17.191.2558,190
143182.17.192.0/19182.17.192.1 to 182.17.223.254182.17.223.2558,190
144182.17.224.0/19182.17.224.1 to 182.17.255.254182.17.255.2558,190
145182.18.0.0/19182.18.0.1 to 182.18.31.254182.18.31.2558,190
146182.18.32.0/19182.18.32.1 to 182.18.63.254182.18.63.2558,190
147182.18.64.0/19182.18.64.1 to 182.18.95.254182.18.95.2558,190
148182.18.96.0/19182.18.96.1 to 182.18.127.254182.18.127.2558,190
149182.18.128.0/19182.18.128.1 to 182.18.159.254182.18.159.2558,190
150182.18.160.0/19182.18.160.1 to 182.18.191.254182.18.191.2558,190
151182.18.192.0/19182.18.192.1 to 182.18.223.254182.18.223.2558,190
152182.18.224.0/19182.18.224.1 to 182.18.255.254182.18.255.2558,190
153182.19.0.0/19182.19.0.1 to 182.19.31.254182.19.31.2558,190
154182.19.32.0/19182.19.32.1 to 182.19.63.254182.19.63.2558,190
155182.19.64.0/19182.19.64.1 to 182.19.95.254182.19.95.2558,190
156182.19.96.0/19182.19.96.1 to 182.19.127.254182.19.127.2558,190
157182.19.128.0/19182.19.128.1 to 182.19.159.254182.19.159.2558,190
158182.19.160.0/19182.19.160.1 to 182.19.191.254182.19.191.2558,190
159182.19.192.0/19182.19.192.1 to 182.19.223.254182.19.223.2558,190
160182.19.224.0/19182.19.224.1 to 182.19.255.254182.19.255.2558,190
161182.20.0.0/19182.20.0.1 to 182.20.31.254182.20.31.2558,190
162182.20.32.0/19182.20.32.1 to 182.20.63.254182.20.63.2558,190
163182.20.64.0/19182.20.64.1 to 182.20.95.254182.20.95.2558,190
164182.20.96.0/19182.20.96.1 to 182.20.127.254182.20.127.2558,190
165182.20.128.0/19182.20.128.1 to 182.20.159.254182.20.159.2558,190
166182.20.160.0/19182.20.160.1 to 182.20.191.254182.20.191.2558,190
167182.20.192.0/19182.20.192.1 to 182.20.223.254182.20.223.2558,190
168182.20.224.0/19182.20.224.1 to 182.20.255.254182.20.255.2558,190
169182.21.0.0/19182.21.0.1 to 182.21.31.254182.21.31.2558,190
170182.21.32.0/19182.21.32.1 to 182.21.63.254182.21.63.2558,190
171182.21.64.0/19182.21.64.1 to 182.21.95.254182.21.95.2558,190
172182.21.96.0/19182.21.96.1 to 182.21.127.254182.21.127.2558,190
173182.21.128.0/19182.21.128.1 to 182.21.159.254182.21.159.2558,190
174182.21.160.0/19182.21.160.1 to 182.21.191.254182.21.191.2558,190
175182.21.192.0/19182.21.192.1 to 182.21.223.254182.21.223.2558,190
176182.21.224.0/19182.21.224.1 to 182.21.255.254182.21.255.2558,190
177182.22.0.0/19182.22.0.1 to 182.22.31.254182.22.31.2558,190
178182.22.32.0/19182.22.32.1 to 182.22.63.254182.22.63.2558,190
179182.22.64.0/19182.22.64.1 to 182.22.95.254182.22.95.2558,190
180182.22.96.0/19182.22.96.1 to 182.22.127.254182.22.127.2558,190
181182.22.128.0/19182.22.128.1 to 182.22.159.254182.22.159.2558,190
182182.22.160.0/19182.22.160.1 to 182.22.191.254182.22.191.2558,190
183182.22.192.0/19182.22.192.1 to 182.22.223.254182.22.223.2558,190
184182.22.224.0/19182.22.224.1 to 182.22.255.254182.22.255.2558,190
185182.23.0.0/19182.23.0.1 to 182.23.31.254182.23.31.2558,190
186182.23.32.0/19182.23.32.1 to 182.23.63.254182.23.63.2558,190
187182.23.64.0/19182.23.64.1 to 182.23.95.254182.23.95.2558,190
188182.23.96.0/19182.23.96.1 to 182.23.127.254182.23.127.2558,190
189182.23.128.0/19182.23.128.1 to 182.23.159.254182.23.159.2558,190
190182.23.160.0/19182.23.160.1 to 182.23.191.254182.23.191.2558,190
191182.23.192.0/19182.23.192.1 to 182.23.223.254182.23.223.2558,190
192182.23.224.0/19182.23.224.1 to 182.23.255.254182.23.255.2558,190
193182.24.0.0/19182.24.0.1 to 182.24.31.254182.24.31.2558,190
194182.24.32.0/19182.24.32.1 to 182.24.63.254182.24.63.2558,190
195182.24.64.0/19182.24.64.1 to 182.24.95.254182.24.95.2558,190
196182.24.96.0/19182.24.96.1 to 182.24.127.254182.24.127.2558,190
197182.24.128.0/19182.24.128.1 to 182.24.159.254182.24.159.2558,190
198182.24.160.0/19182.24.160.1 to 182.24.191.254182.24.191.2558,190
199182.24.192.0/19182.24.192.1 to 182.24.223.254182.24.223.2558,190
200182.24.224.0/19182.24.224.1 to 182.24.255.254182.24.255.2558,190
201182.25.0.0/19182.25.0.1 to 182.25.31.254182.25.31.2558,190
202182.25.32.0/19182.25.32.1 to 182.25.63.254182.25.63.2558,190
203182.25.64.0/19182.25.64.1 to 182.25.95.254182.25.95.2558,190
204182.25.96.0/19182.25.96.1 to 182.25.127.254182.25.127.2558,190
205182.25.128.0/19182.25.128.1 to 182.25.159.254182.25.159.2558,190
206182.25.160.0/19182.25.160.1 to 182.25.191.254182.25.191.2558,190
207182.25.192.0/19182.25.192.1 to 182.25.223.254182.25.223.2558,190
208182.25.224.0/19182.25.224.1 to 182.25.255.254182.25.255.2558,190
209182.26.0.0/19182.26.0.1 to 182.26.31.254182.26.31.2558,190
210182.26.32.0/19182.26.32.1 to 182.26.63.254182.26.63.2558,190
211182.26.64.0/19182.26.64.1 to 182.26.95.254182.26.95.2558,190
212182.26.96.0/19182.26.96.1 to 182.26.127.254182.26.127.2558,190
213182.26.128.0/19182.26.128.1 to 182.26.159.254182.26.159.2558,190
214182.26.160.0/19182.26.160.1 to 182.26.191.254182.26.191.2558,190
215182.26.192.0/19182.26.192.1 to 182.26.223.254182.26.223.2558,190
216182.26.224.0/19182.26.224.1 to 182.26.255.254182.26.255.2558,190
217182.27.0.0/19182.27.0.1 to 182.27.31.254182.27.31.2558,190
218182.27.32.0/19182.27.32.1 to 182.27.63.254182.27.63.2558,190
219182.27.64.0/19182.27.64.1 to 182.27.95.254182.27.95.2558,190
220182.27.96.0/19182.27.96.1 to 182.27.127.254182.27.127.2558,190
221182.27.128.0/19182.27.128.1 to 182.27.159.254182.27.159.2558,190
222182.27.160.0/19182.27.160.1 to 182.27.191.254182.27.191.2558,190
223182.27.192.0/19182.27.192.1 to 182.27.223.254182.27.223.2558,190
224182.27.224.0/19182.27.224.1 to 182.27.255.254182.27.255.2558,190
225182.28.0.0/19182.28.0.1 to 182.28.31.254182.28.31.2558,190
226182.28.32.0/19182.28.32.1 to 182.28.63.254182.28.63.2558,190
227182.28.64.0/19182.28.64.1 to 182.28.95.254182.28.95.2558,190
228182.28.96.0/19182.28.96.1 to 182.28.127.254182.28.127.2558,190
229182.28.128.0/19182.28.128.1 to 182.28.159.254182.28.159.2558,190
230182.28.160.0/19182.28.160.1 to 182.28.191.254182.28.191.2558,190
231182.28.192.0/19182.28.192.1 to 182.28.223.254182.28.223.2558,190
232182.28.224.0/19182.28.224.1 to 182.28.255.254182.28.255.2558,190
233182.29.0.0/19182.29.0.1 to 182.29.31.254182.29.31.2558,190
234182.29.32.0/19182.29.32.1 to 182.29.63.254182.29.63.2558,190
235182.29.64.0/19182.29.64.1 to 182.29.95.254182.29.95.2558,190
236182.29.96.0/19182.29.96.1 to 182.29.127.254182.29.127.2558,190
237182.29.128.0/19182.29.128.1 to 182.29.159.254182.29.159.2558,190
238182.29.160.0/19182.29.160.1 to 182.29.191.254182.29.191.2558,190
239182.29.192.0/19182.29.192.1 to 182.29.223.254182.29.223.2558,190
240182.29.224.0/19182.29.224.1 to 182.29.255.254182.29.255.2558,190
241182.30.0.0/19182.30.0.1 to 182.30.31.254182.30.31.2558,190
242182.30.32.0/19182.30.32.1 to 182.30.63.254182.30.63.2558,190
243182.30.64.0/19182.30.64.1 to 182.30.95.254182.30.95.2558,190
244182.30.96.0/19182.30.96.1 to 182.30.127.254182.30.127.2558,190
245182.30.128.0/19182.30.128.1 to 182.30.159.254182.30.159.2558,190
246182.30.160.0/19182.30.160.1 to 182.30.191.254182.30.191.2558,190
247182.30.192.0/19182.30.192.1 to 182.30.223.254182.30.223.2558,190
248182.30.224.0/19182.30.224.1 to 182.30.255.254182.30.255.2558,190
249182.31.0.0/19182.31.0.1 to 182.31.31.254182.31.31.2558,190
250182.31.32.0/19182.31.32.1 to 182.31.63.254182.31.63.2558,190
251182.31.64.0/19182.31.64.1 to 182.31.95.254182.31.95.2558,190
252182.31.96.0/19182.31.96.1 to 182.31.127.254182.31.127.2558,190
253182.31.128.0/19182.31.128.1 to 182.31.159.254182.31.159.2558,190
254182.31.160.0/19182.31.160.1 to 182.31.191.254182.31.191.2558,190
255182.31.192.0/19182.31.192.1 to 182.31.223.254182.31.223.2558,190
256182.31.224.0/19182.31.224.1 to 182.31.255.254182.31.255.2558,190

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses